import { GostBelegpruefungsArt } from '../../../../core/abschluss/gost/GostBelegpruefungsArt';
import { GostBelegpruefung } from '../../../../core/abschluss/gost/GostBelegpruefung';
import { AbiturdatenManager } from '../../../../core/abschluss/gost/AbiturdatenManager';
export declare class Sport extends GostBelegpruefung {
    private sport;
    /**
     * Erstellt eine neue Belegprüfung für das Fach Sport.
     *
     * @param manager         der Daten-Manager für die Abiturdaten
     * @param pruefungs_art   die Art der durchzuführenden Prüfung (z.B. EF.1 oder GESAMT)
     */
    constructor(manager: AbiturdatenManager, pruefungs_art: GostBelegpruefungsArt);
    protected init(): void;
    protected pruefeEF1(): void;
    protected pruefeGesamt(): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_gost_belegpruefung_Sport(obj: unknown): Sport;
